Get profile role updates webhook subscriptions

Returns all active role transition webhook subscriptions for your institution.

Responses
  • application/json
  • application/json
  • application/json
Request Example for get/apis/profiles/roles/transitions/webhooks/subscriptions
curl https://ff-business-school.fullfabric.cloud/apis/profiles/roles/transitions/webhooks/subscriptions \
  --header 'FF-Auth: YOUR_SECRET_TOKEN'
[
  {
    "id": "689c6f6f9a52af7e57a109f6",
    "initial_state_and_substate": "prospect::engaged",
    "target_state_and_substate": "applicant::submitted",
    "url": "https://crm.ff-business-school.edu/webhooks/ff-role-updates"
  },
  {
    "id": "689c6f7a9a52af7e57a109f7",
    "initial_state_and_substate": null,
    "target_state_and_substate": "student::enrolled",
    "url": "https://sis.ff-business-school.edu/webhooks/enrolments"
  }
]